Bug 1234372 - Filter and format parameters for plan role in OSC
Summary: Filter and format parameters for plan role in OSC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tuskarclient
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Ana Krivokapic
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-22 12:44 UTC by Brad P. Crochet
Modified: 2015-08-05 13:55 UTC (History)
3 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-8.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Comment 5 Ola Pavlenko 2015-07-05 08:59:29 UTC
[stack@instack ~]$ openstack management plan remove role 915411e9-cd7b-4d24-ab45-df22a156e13c 641ea2f6-5a05-4541-8b05-97848e200cf6
+-------------+---------------------------------------------------------------------------------------------------+
| Field       | Value                                                                                             |
+-------------+---------------------------------------------------------------------------------------------------+
| created_at  | 2015-06-30T15:52:51                                                                               |
| description | None                                                                                              |
| name        | overcloud                                                                                         |
| parameters  | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Controller-1::count                                                                          |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Ceph-Storage-1::count                                                                        |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Compute-1::count                                                                             |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Swift-Storage-1::count                                                                       |
|             | parameter_type=number                                                                             |
|             | value=0                                                                                           |
|             |                                                                                                   |
| roles       | description=OpenStack hypervisor node configured via Puppet.                                      |
|             |                                                                                                   |
|             | name=Compute                                                                                      |
|             | uuid=91343376-7d8b-4cc5-ad1d-fb193b28fc59                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack ceph storage node configured by Puppet                                      |
|             | name=Ceph-Storage                                                                                 |
|             | uuid=18e57887-3268-43c8-a867-7ef476175020                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack controller node configured by Puppet.                                       |
|             |                                                                                                   |
|             | name=Controller                                                                                   |
|             | uuid=065a1874-ceb8-4ead-be68-8aa4c7ce9c45                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack swift storage node configured by Puppet                                     |
|             | name=Swift-Storage                                                                                |
|             | uuid=3b4649a9-bd04-476b-aa47-2645b87b3ff0                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
| updated_at  | None                                                                                              |
| uuid        | 915411e9-cd7b-4d24-ab45-df22a156e13c                                                              |
+-------------+---------------------------------------------------------------------------------------------------+



[stack@instack ~]$ openstack management plan add role 915411e9-cd7b-4d24-ab45-df22a156e13c 641ea2f6-5a05-4541-8b05-97848e200cf6
+-------------+---------------------------------------------------------------------------------------------------+
| Field       | Value                                                                                             |
+-------------+---------------------------------------------------------------------------------------------------+
| created_at  | 2015-06-30T15:52:51                                                                               |
| description | None                                                                                              |
| name        | overcloud                                                                                         |
| parameters  | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Controller-1::count                                                                          |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Ceph-Storage-1::count                                                                        |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Compute-1::count                                                                             |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Swift-Storage-1::count                                                                       |
|             | parameter_type=number                                                                             |
|             | value=0                                                                                           |
|             |                                                                                                   |
|             | constraints=[{u'definition': {u'min': u'0'}, u'description': None, u'constraint_type': u'range'}] |
|             | default=None                                                                                      |
|             | description=None                                                                                  |
|             | hidden=None                                                                                       |
|             | label=None                                                                                        |
|             | name=Cinder-Storage-1::count                                                                      |
|             | parameter_type=number                                                                             |
|             | value=1                                                                                           |
|             |                                                                                                   |
| roles       | description=OpenStack hypervisor node configured via Puppet.                                      |
|             |                                                                                                   |
|             | name=Compute                                                                                      |
|             | uuid=91343376-7d8b-4cc5-ad1d-fb193b28fc59                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack ceph storage node configured by Puppet                                      |
|             | name=Ceph-Storage                                                                                 |
|             | uuid=18e57887-3268-43c8-a867-7ef476175020                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack cinder storage configured by Puppet                                         |
|             | name=Cinder-Storage                                                                               |
|             | uuid=641ea2f6-5a05-4541-8b05-97848e200cf6                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack controller node configured by Puppet.                                       |
|             |                                                                                                   |
|             | name=Controller                                                                                   |
|             | uuid=065a1874-ceb8-4ead-be68-8aa4c7ce9c45                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
|             | description=OpenStack swift storage node configured by Puppet                                     |
|             | name=Swift-Storage                                                                                |
|             | uuid=3b4649a9-bd04-476b-aa47-2645b87b3ff0                                                         |
|             | version=1                                                                                         |
|             |                                                                                                   |
| updated_at  | None                                                                                              |
| uuid        | 915411e9-cd7b-4d24-ab45-df22a156e13c                                                              |
+-------------+---------------------------------------------------------------------------------------------------+

Comment 7 errata-xmlrpc 2015-08-05 13:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.